'use strict';

var path = require('path');
var fs = require('fs');

module.exports = router;

/**
 */
function router(base, action, argv) {
  var actionPath = path.join(base, action);
  var actionFunc = void 0;

  try {
    actionFunc = require(actionPath);
  } catch (e) {
    var err = new Error('No such action: ' + action);
    err.code = 'NO_SUCH_ACTION';

    throw err;
  }

  actionFunc(argv);
}